Specify supported options for APT #2080

Open
slinstaedt opened this Issue Jan 6, 2017 · 1 comment

Projects

None yet

2 participants

@slinstaedt

The current version of QueryDSL's APT processor is not specifying, which configuration parameters it's supporting, leading to annoying compiler warnings like:
[WARNING] The following options were not recognized by any processor: '[querydsl.packageSuffix]'.

Having the AbstractQuerydslProcessorimplementing the javax.annotation.processing.AbstractProcessor#getSupportedOptions method would fix this.

@Shredder121
Member

This indeed sounds good.

@Shredder121 Shredder121 self-assigned this Jan 6, 2017
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment